'use strict';
const Generator = require('yeoman-generator');
const chalk = require('chalk');
const yosay = require('yosay');
module.exports = class extends Generator {
    prompting() {
        this.log(yosay(
            'Welcome to the prime ' + chalk.red('generator-lazy-gift') + ' generator!'
        ));
        const prompts = [{
            type: 'input',
            name: 'appName',
            message: 'What is your project name ?',
            default: "water-demo"
        }];
        return this.prompt(prompts).then(props => {
            this.props = props;
        });
    }
    writing() {
        this.fs.copy(
            this.templatePath('views/'),
            this.destinationPath('views/')
        );
        this.fs.copy(
            this.templatePath('style/'),
            this.destinationPath('style/')
        );
        this.fs.copy(
            this.templatePath('.babelrc'),
            this.destinationPath('.babelrc')
        );
    }
};